VisualEditor: CSS broken in RTL
Closed, ResolvedPublic

Description

We have plans to use ResourceLoader which will fix a lot of this, but noting it here.

Most obviously, the toolbar has two sections which in LRT appear as ABCDE 1234; in RTL they should be 4321 EDCBA, but instead appear as EDCBA 4321. Also issues in dialogs etc.


Version: unspecified
Severity: major

bzimport set Reference to bz49546.
Jdforrester-WMF created this task.Via LegacyJun 13 2013, 8:28 PM
Mooeypoo added a comment.Via ConduitJun 18 2013, 5:09 PM

I went through the Link Inspector CSS issue and it gave me an insight into what may be happening here.

Using CSSJanus will probably help 90% of this problem, but it might not completely solve it. A lot of the position settings are inline, calculated dynamically and inserted into the element itself. I'm not entirely sure CSSJanus knows how to deal with those. We may have to split the calculation up into RTL and LTR positions, or find some other solution to the popups that are calculated dynamically.

Mooeypoo added a comment.Via ConduitJul 23 2013, 3:10 PM

This is fixed in general by the introduction of Roan and Trevor's css-frame fixes, and the popup menu fixes (in TextMenuWidget) - and I think that the rest would likely result in spot-fixes, like the ones with the transclusion editor.

Also, as far as I could see, the toolbar bug was fixed as well.

I think we can close this bug and rely on the main BIDI/RTL tracking bug to continue work on any individual bugs as they happen.

Jdforrester-WMF added a comment.Via ConduitJul 23 2013, 3:16 PM

(In reply to comment #2)

This is fixed in general by the introduction of Roan and Trevor's css-frame
fixes, and the popup menu fixes (in TextMenuWidget) - and I think that the
rest would likely result in spot-fixes, like the ones with the transclusion
editor.

Also, as far as I could see, the toolbar bug was fixed as well.

I think we can close this bug and rely on the main BIDI/RTL tracking bug to
continue work on any individual bugs as they happen.

OK, done.

Add Comment